package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireAnnihilatorMapper;
import com.ruoyi.project.patrol.fire.domain.TFireAnnihilator;
import com.ruoyi.project.patrol.fire.service.ITFireAnnihilatorService;

/**
 * 手提式/小推车式灭火器/灭火器材箱Service业务层处理
 *
 * @author ruoyi
 * @date 2023-08-22
 */
@Service
public class TFireAnnihilatorServiceImpl implements ITFireAnnihilatorService
{
    @Autowired
    private TFireAnnihilatorMapper tFireAnnihilatorMapper;

    /**
     * 查询手提式/小推车式灭火器/灭火器材箱
     *
     * @param id 手提式/小推车式灭火器/灭火器材箱主键
     * @return 手提式/小推车式灭火器/灭火器材箱
     */
    @Override
    public TFireAnnihilator selectTFireAnnihilatorById(Long id)
    {
        return tFireAnnihilatorMapper.selectTFireAnnihilatorById(id);
    }

    /**
     * 查询手提式/小推车式灭火器/灭火器材箱列表
     *
     * @param tFireAnnihilator 手提式/小推车式灭火器/灭火器材箱
     * @return 手提式/小推车式灭火器/灭火器材箱
     */
    @Override
    public List<TFireAnnihilator> selectTFireAnnihilatorList(TFireAnnihilator tFireAnnihilator)
    {
        return tFireAnnihilatorMapper.selectTFireAnnihilatorList(tFireAnnihilator);
    }

    /**
     * 新增手提式/小推车式灭火器/灭火器材箱
     *
     * @param tFireAnnihilator 手提式/小推车式灭火器/灭火器材箱
     * @return 结果
     */
    @Override
    public int insertTFireAnnihilator(TFireAnnihilator tFireAnnihilator)
    {
        return tFireAnnihilatorMapper.insertTFireAnnihilator(tFireAnnihilator);
    }

    /**
     * 修改手提式/小推车式灭火器/灭火器材箱
     *
     * @param tFireAnnihilator 手提式/小推车式灭火器/灭火器材箱
     * @return 结果
     */
    @Override
    public int updateTFireAnnihilator(TFireAnnihilator tFireAnnihilator)
    {
        return tFireAnnihilatorMapper.updateTFireAnnihilator(tFireAnnihilator);
    }

    /**
     * 批量删除手提式/小推车式灭火器/灭火器材箱
     *
     * @param ids 需要删除的手提式/小推车式灭火器/灭火器材箱主键
     * @return 结果
     */
    @Override
    public int deleteTFireAnnihilatorByIds(Long[] ids)
    {
        return tFireAnnihilatorMapper.deleteTFireAnnihilatorByIds(ids);
    }

    /**
     * 删除手提式/小推车式灭火器/灭火器材箱信息
     *
     * @param id 手提式/小推车式灭火器/灭火器材箱主键
     * @return 结果
     */
    @Override
    public int deleteTFireAnnihilatorById(Long id)
    {
        return tFireAnnihilatorMapper.deleteTFireAnnihilatorById(id);
    }
}
